summaryrefslogtreecommitdiffstats
path: root/desktop/lumina/lumina.SlackBuild
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2015-01-02 06:37:16 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-02 06:37:16 +0700
commite06670b2dcd55e237a21da841da193cc9f82fb91 (patch)
tree0722fb78bdaf824db4f20729efc8b056d3345182 /desktop/lumina/lumina.SlackBuild
parenta2be10f2a475c579c4f445bbe3941d41166d3dba (diff)
downloadslackbuilds-e06670b2dcd55e237a21da841da193cc9f82fb91.tar.gz
slackbuilds-e06670b2dcd55e237a21da841da193cc9f82fb91.tar.xz
desktop/lumina: Added (Desktop Environment for BSD).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/lumina/lumina.SlackBuild')
-rw-r--r--desktop/lumina/lumina.SlackBuild123
1 files changed, 123 insertions, 0 deletions
diff --git a/desktop/lumina/lumina.SlackBuild b/desktop/lumina/lumina.SlackBuild
new file mode 100644
index 0000000000..c0f84d78c6
--- /dev/null
+++ b/desktop/lumina/lumina.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Slackware build script for lumina
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# Thanks to Willy Sudiarto Raharjo
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License
+# along with this program (most likely, a file named COPYING). If
+# not, see <http://www.gnu.org/licenses/>.
+
+PRGNAM=lumina
+VERSION=${VERSION:-0.7.2}
+SRCVERSION=${SRCVERSION:-f4fa5f2ea50cc47bfd276ba4b4d70aa2c0646ec5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -pv $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+if [ -e $CWD/$SRCVERSION.tar.gz ]; then
+ tar xvf $CWD/$SRCVERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.gz
+fi
+cd $PRGNAM-$SRCVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+## capitilization matters ;-)
+sed -i 's@#include\ <Phonon@#include\ <phonon@g' lumina-desktop/LSession.cpp
+sed -i 's@#include\ <Phonon@#include\ <phonon@g' lumina-desktop/LSession.h
+sed -i 's@#include\ <Phonon@#include\ <phonon@g' lumina-fm/MainUI.h
+sed -i 's@#include\ <Phonon@#include\ <phonon@g' lumina-fm/BackgroundWorker.cpp
+
+## fix lrelease variable
+find $PWD/ -name '*.pro' -exec sed -i 's/lrelease-qt4/lrelease/g' "{}" \;
+
+qmake \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS"
+
+make -j1 \
+ OPTS="$SLKCFLAGS" \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ PREFIX=/usr
+
+make install \
+ INSTALL_ROOT=$PKG \
+ DESTDIR=$PKG
+
+if [ $LIBDIRSUFFIX = "64" ]; then
+ mkdir -pv $PKG/usr/lib${LIBDIRSUFFIX}
+ mv -v $PKG/usr/lib/* $PKG/usr/lib${LIBDIRSUFFIX}/
+ rm -rf $PKG/usr/lib
+fi
+
+mkdir -p $PKG/etc/X11/xinit
+install -m 0755 $CWD/xinitrc.lumina $PKG/etc/X11/xinit/xinitrc.lumina
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}